/*
 * Acidentado.java
 *
 * Created on October 16, 2007, 2:36 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package analiseacidentestrabalho;

/**
 *
 * @author lluis
 */
public class Acidentado {
    private Integer id;
    private String nome;
    private java.sql.Date data_nascimento;
    private String bilhete_identidade;
    private String morada;
    private String cod_postal;
    private String localidade;
    private String contacto_telefonico;
    private java.sql.Date data_admissao;
    private String funcao;
    private String turno;
    private Integer trabalhador_id;
    private String numero_mecanografico;    
    private String nome_superior_hierarquico;
    private String email_superior_hierarquico;  
    private String estabelecimento_origem;
    private java.sql.Date data_email_superior_hierarquico;    
    /** Creates a new instance of Acidentado */
    public Acidentado() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public java.sql.Date getData_nascimento() {
        return data_nascimento;
    }

    public void setData_nascimento(java.sql.Date data_nascimento) {
        this.data_nascimento = data_nascimento;
    }

    public String getBilhete_identidade() {
        return bilhete_identidade;
    }

    public void setBilhete_identidade(String bilhete_identidade) {
        this.bilhete_identidade = bilhete_identidade;
    }

    public String getMorada() {
        return morada;
    }

    public void setMorada(String morada) {
        this.morada = morada;
    }

    public String getCod_postal() {
        return cod_postal;
    }

    public void setCod_postal(String cod_postal) {
        this.cod_postal = cod_postal;
    }

    public String getLocalidade() {
        return localidade;
    }

    public void setLocalidade(String localidade) {
        this.localidade = localidade;
    }

    public String getContacto_telefonico() {
        return contacto_telefonico;
    }

    public void setContacto_telefonico(String contacto_telefonico) {
        this.contacto_telefonico = contacto_telefonico;
    }

    public java.sql.Date getData_admissao() {
        return data_admissao;
    }

    public void setData_admissao(java.sql.Date data_admissao) {
        this.data_admissao = data_admissao;
    }

    public String getFuncao() {
        return funcao;
    }

    public void setFuncao(String funcao) {
        this.funcao = funcao;
    }

    public Integer getTrabalhador_id() {
        return trabalhador_id;
    }

    public void setTrabalhador_id(Integer trabalhador_id) {
        this.trabalhador_id = trabalhador_id;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public String getTurno() {
        return turno;
    }

    public void setTurno(String turno) {
        this.turno = turno;
    }

    public String getNumero_mecanografico() {
        return numero_mecanografico;
    }

    public void setNumero_mecanografico(String numero_mecanografico) {
        this.numero_mecanografico = numero_mecanografico;
    }

    public String getNome_superior_hierarquico() {
        if(nome_superior_hierarquico == null)
        {
            return "";
        }
        return nome_superior_hierarquico;
    }

    public void setNome_superior_hierarquico(String nome_superior_hierarquico) {
        this.nome_superior_hierarquico = nome_superior_hierarquico;
    }

    public String getEmail_superior_hierarquico() {
        if(email_superior_hierarquico == null)
        {
            return "";
        }
        return email_superior_hierarquico;
    }

    public void setEmail_superior_hierarquico(String email_superior_hierarquico) {
        this.email_superior_hierarquico = email_superior_hierarquico;
    }

    public String getEstabelecimento_origem() {
        if(estabelecimento_origem == null)
        {
            return "";
        }        
        return estabelecimento_origem;
    }

    public void setEstabelecimento_origem(String estabelecimento_origem) {
        this.estabelecimento_origem = estabelecimento_origem;
    }

    public java.sql.Date getData_email_superior_hierarquico() {
        return data_email_superior_hierarquico;
    }

    public void setData_email_superior_hierarquico(java.sql.Date data_email_superior_hierarquico) {
        this.data_email_superior_hierarquico = data_email_superior_hierarquico;
    }

}
